git.lirion.de

Of git, get, and gud

summaryrefslogtreecommitdiffstats
path: root/nagios-plugins-contrib-24.20190301~bpo9+1/dsa/sbin/dsa-update-unowned-file-status
diff options
context:
space:
mode:
Diffstat (limited to 'nagios-plugins-contrib-24.20190301~bpo9+1/dsa/sbin/dsa-update-unowned-file-status')
-rwxr-xr-xnagios-plugins-contrib-24.20190301~bpo9+1/dsa/sbin/dsa-update-unowned-file-status53
1 files changed, 53 insertions, 0 deletions
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/dsa/sbin/dsa-update-unowned-file-status b/nagios-plugins-contrib-24.20190301~bpo9+1/dsa/sbin/dsa-update-unowned-file-status
new file mode 100755
index 0000000..56331ef
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/dsa/sbin/dsa-update-unowned-file-status
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+# Copyright 2012 Peter Palfrader
+#
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# "Software"), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to
+# permit persons to whom the Software is furnished to do so, subject to
+# the following conditions:
+#
+# The above copyright notice and this permission notice shall be
+# included in all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+CUTOFF=40
+STATUSDIR=/var/cache/dsa/nagios
+STATUS="${STATUSDIR}"/nouser
+
+mkdir -p "${STATUSDIR}"
+
+tmp=`tempfile`
+trap "rm -f '$tmp'" exit
+
+if command -v ionice >/dev/null 2>&1; then
+ prefix="ionice -c 3 -t" # idle priority, ignore errors
+fi
+
+$prefix find / -ignore_readdir_race \( -fstype proc -o -fstype sysfs -o -fstype fdescfs -o -fstype autofs -o -fstype nfs4 \) -prune -o \( -nouser -print \) | head -n "$CUTOFF" > "$tmp"
+
+if [ -s "$tmp" ]; then
+ echo "WARN"
+ c="$(wc -l < "$tmp")"
+ if [ "$c" -lt "$CUTOFF" ] ; then
+ echo "Warn: $c unowned files on system."
+ cat "$tmp"
+ else
+ echo "Warn: Lots of unowned files on system:"
+ cat "$tmp"
+ echo "..."
+ fi
+else
+ echo "OK"
+ echo "OK: No unowned files on system."
+fi > "$STATUS"